42888682711ee8e037c477dbb5eaa578c6a78c3f
[scilab.git] / scilab / modules / localization / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU
19 #
20 # This file must be used under the terms of the CeCILL.
21 # This source file is licensed as described in the file COPYING, which
22 # you should have received as part of this distribution.  The terms
23 # are also available at
24 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
25
26 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
27 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
28 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
29 #
30 # This file must be used under the terms of the CeCILL.
31 # This source file is licensed as described in the file COPYING, which
32 # you should have received as part of this distribution.  The terms
33 # are also available at
34 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42
43
44 VPATH = @srcdir@
45 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
46 am__make_running_with_option = \
47   case $${target_option-} in \
48       ?) ;; \
49       *) echo "am__make_running_with_option: internal error: invalid" \
50               "target option '$${target_option-}' specified" >&2; \
51          exit 1;; \
52   esac; \
53   has_opt=no; \
54   sane_makeflags=$$MAKEFLAGS; \
55   if $(am__is_gnu_make); then \
56     sane_makeflags=$$MFLAGS; \
57   else \
58     case $$MAKEFLAGS in \
59       *\\[\ \   ]*) \
60         bs=\\; \
61         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
62           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
63     esac; \
64   fi; \
65   skip_next=no; \
66   strip_trailopt () \
67   { \
68     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
69   }; \
70   for flg in $$sane_makeflags; do \
71     test $$skip_next = yes && { skip_next=no; continue; }; \
72     case $$flg in \
73       *=*|--*) continue;; \
74         -*I) strip_trailopt 'I'; skip_next=yes;; \
75       -*I?*) strip_trailopt 'I';; \
76         -*O) strip_trailopt 'O'; skip_next=yes;; \
77       -*O?*) strip_trailopt 'O';; \
78         -*l) strip_trailopt 'l'; skip_next=yes;; \
79       -*l?*) strip_trailopt 'l';; \
80       -[dEDm]) skip_next=yes;; \
81       -[JT]) skip_next=yes;; \
82     esac; \
83     case $$flg in \
84       *$$target_option*) has_opt=yes; break;; \
85     esac; \
86   done; \
87   test $$has_opt = yes
88 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
89 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
90 pkgdatadir = $(datadir)/@PACKAGE@
91 pkgincludedir = $(includedir)/@PACKAGE@
92 pkglibdir = $(libdir)/@PACKAGE@
93 pkglibexecdir = $(libexecdir)/@PACKAGE@
94 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
95 install_sh_DATA = $(install_sh) -c -m 644
96 install_sh_PROGRAM = $(install_sh) -c
97 install_sh_SCRIPT = $(install_sh) -c
98 INSTALL_HEADER = $(INSTALL_DATA)
99 transform = $(program_transform_name)
100 NORMAL_INSTALL = :
101 PRE_INSTALL = :
102 POST_INSTALL = :
103 NORMAL_UNINSTALL = :
104 PRE_UNINSTALL = :
105 POST_UNINSTALL = :
106 build_triplet = @build@
107 host_triplet = @host@
108 @NEED_JAVA_TRUE@am__append_1 = src/jni/Messages_wrap.c \
109 @NEED_JAVA_TRUE@src/jni/LocaleToLCID_wrap.c \
110 @NEED_JAVA_TRUE@src/jni/setdefaultlanguage_wrap.c
111
112 @IS_MACOSX_TRUE@am__append_2 = src/c/getLocaleInfo_Apple.c
113
114 # FIXME: platform dependent things should be in configure.ac
115 @IS_MACOSX_TRUE@am__append_3 = -lintl -framework Cocoa
116 @IS_MACOSX_TRUE@am__append_4 = -lintl -framework Cocoa
117 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
118         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
119         $(top_srcdir)/config/depcomp \
120         $(libscilocalization_la_include_HEADERS)
121 @NEED_JAVA_TRUE@am__append_5 = java
122 subdir = modules/localization
123 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
124 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
125         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
126         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
127         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
128         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
129         $(top_srcdir)/m4/intel_compiler.m4 \
130         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
131         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
132         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
133         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
134         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
135         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
136         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
137         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
138         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
139         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
140         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
141 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
142         $(ACLOCAL_M4)
143 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
144 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
145 CONFIG_CLEAN_FILES =
146 CONFIG_CLEAN_VPATH_FILES =
147 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
148 am__vpath_adj = case $$p in \
149     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
150     *) f=$$p;; \
151   esac;
152 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
153 am__install_max = 40
154 am__nobase_strip_setup = \
155   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
156 am__nobase_strip = \
157   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
158 am__nobase_list = $(am__nobase_strip_setup); \
159   for p in $$list; do echo "$$p $$p"; done | \
160   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
161   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
162     if (++n[$$2] == $(am__install_max)) \
163       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
164     END { for (dir in files) print dir, files[dir] }'
165 am__base_list = \
166   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
167   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
168 am__uninstall_files_from_dir = { \
169   test -z "$$files" \
170     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
171     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
172          $(am__cd) "$$dir" && rm -f $$files; }; \
173   }
174 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
175         "$(DESTDIR)$(libscilocalization_la_etcdir)" \
176         "$(DESTDIR)$(libscilocalization_la_rootdir)" \
177         "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" \
178         "$(DESTDIR)$(libscilocalization_la_includedir)"
179 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
180 libscilocalization_algo_la_LIBADD =
181 am__libscilocalization_algo_la_SOURCES_DIST =  \
182         src/c/InitializeLocalization.c src/c/setgetlanguage.c \
183         src/c/getLcidString.c src/c/charEncoding.c \
184         src/c/setdefaultlanguage.c src/jni/Messages_wrap.c \
185         src/jni/LocaleToLCID_wrap.c src/jni/setdefaultlanguage_wrap.c \
186         src/c/getLocaleInfo_Apple.c
187 am__dirstamp = $(am__leading_dot)dirstamp
188 @NEED_JAVA_TRUE@am__objects_1 = src/jni/libscilocalization_algo_la-Messages_wrap.lo \
189 @NEED_JAVA_TRUE@        src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo \
190 @NEED_JAVA_TRUE@        src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo
191 @IS_MACOSX_TRUE@am__objects_2 = src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo
192 am__objects_3 =  \
193         src/c/libscilocalization_algo_la-InitializeLocalization.lo \
194         src/c/libscilocalization_algo_la-setgetlanguage.lo \
195         src/c/libscilocalization_algo_la-getLcidString.lo \
196         src/c/libscilocalization_algo_la-charEncoding.lo \
197         src/c/libscilocalization_algo_la-setdefaultlanguage.lo \
198         $(am__objects_1) $(am__objects_2)
199 am_libscilocalization_algo_la_OBJECTS = $(am__objects_3)
200 libscilocalization_algo_la_OBJECTS =  \
201         $(am_libscilocalization_algo_la_OBJECTS)
202 AM_V_lt = $(am__v_lt_@AM_V@)
203 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
204 am__v_lt_0 = --silent
205 am__v_lt_1 = 
206 libscilocalization_algo_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
207         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
208         $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) \
209         $(libscilocalization_algo_la_LDFLAGS) $(LDFLAGS) -o $@
210 libscilocalization_la_DEPENDENCIES = libscilocalization-algo.la
211 am__objects_4 =  \
212         sci_gateway/c/libscilocalization_la-gw_localization.lo \
213         sci_gateway/c/libscilocalization_la-sci_gettext.lo \
214         sci_gateway/c/libscilocalization_la-sci_setlanguage.lo \
215         sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo \
216         sci_gateway/c/libscilocalization_la-sci_getlanguage.lo \
217         sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo \
218         sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo
219 am_libscilocalization_la_OBJECTS = $(am__objects_4)
220 libscilocalization_la_OBJECTS = $(am_libscilocalization_la_OBJECTS)
221 libscilocalization_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
222         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
223         $(libscilocalization_la_CFLAGS) $(CFLAGS) \
224         $(libscilocalization_la_LDFLAGS) $(LDFLAGS) -o $@
225 AM_V_P = $(am__v_P_@AM_V@)
226 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
227 am__v_P_0 = false
228 am__v_P_1 = :
229 AM_V_GEN = $(am__v_GEN_@AM_V@)
230 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
231 am__v_GEN_0 = @echo "  GEN     " $@;
232 am__v_GEN_1 = 
233 AM_V_at = $(am__v_at_@AM_V@)
234 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
235 am__v_at_0 = @
236 am__v_at_1 = 
237 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
238 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
239 am__depfiles_maybe = depfiles
240 am__mv = mv -f
241 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
242         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
243 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
244         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
245         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
246         $(AM_CFLAGS) $(CFLAGS)
247 AM_V_CC = $(am__v_CC_@AM_V@)
248 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
249 am__v_CC_0 = @echo "  CC      " $@;
250 am__v_CC_1 = 
251 CCLD = $(CC)
252 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
253         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
254         $(AM_LDFLAGS) $(LDFLAGS) -o $@
255 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
256 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
257 am__v_CCLD_0 = @echo "  CCLD    " $@;
258 am__v_CCLD_1 = 
259 SOURCES = $(libscilocalization_algo_la_SOURCES) \
260         $(libscilocalization_la_SOURCES)
261 DIST_SOURCES = $(am__libscilocalization_algo_la_SOURCES_DIST) \
262         $(libscilocalization_la_SOURCES)
263 am__can_run_installinfo = \
264   case $$AM_UPDATE_INFO_DIR in \
265     n|no|NO) false;; \
266     *) (install-info --version) >/dev/null 2>&1;; \
267   esac
268 DATA = $(libscilocalization_la_etc_DATA) \
269         $(libscilocalization_la_root_DATA) \
270         $(libscilocalization_la_sci_gateway_DATA)
271 HEADERS = $(libscilocalization_la_include_HEADERS)
272 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
273 # Read a list of newline-separated strings from the standard input,
274 # and print each of them once, without duplicates.  Input order is
275 # *not* preserved.
276 am__uniquify_input = $(AWK) '\
277   BEGIN { nonempty = 0; } \
278   { items[$$0] = 1; nonempty = 1; } \
279   END { if (nonempty) { for (i in items) print i; }; } \
280 '
281 # Make sure the list of sources is unique.  This is necessary because,
282 # e.g., the same source file might be shared among _SOURCES variables
283 # for different programs/libraries.
284 am__define_uniq_tagged_files = \
285   list='$(am__tagged_files)'; \
286   unique=`for i in $$list; do \
287     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
288   done | $(am__uniquify_input)`
289 ETAGS = etags
290 CTAGS = ctags
291 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
292 ACLOCAL = @ACLOCAL@
293 ALL_LINGUAS = @ALL_LINGUAS@
294 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
295 AMTAR = @AMTAR@
296 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
297 ANT = @ANT@
298 ANTLR = @ANTLR@
299 AR = @AR@
300 ARPACK_LIBS = @ARPACK_LIBS@
301 ASM3 = @ASM3@
302 AUTOCONF = @AUTOCONF@
303 AUTOHEADER = @AUTOHEADER@
304 AUTOMAKE = @AUTOMAKE@
305 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
306 AWK = @AWK@
307 BATIK = @BATIK@
308 BLAS_LIBS = @BLAS_LIBS@
309 CC = @CC@
310 CCACHE = @CCACHE@
311 CCDEPMODE = @CCDEPMODE@
312 CFLAGS = @CFLAGS@
313 CHECKSTYLE = @CHECKSTYLE@
314 COBERTURA = @COBERTURA@
315 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
316 COMMONS_IO = @COMMONS_IO@
317 COMMONS_LOGGING = @COMMONS_LOGGING@
318 CPP = @CPP@
319 CPPFLAGS = @CPPFLAGS@
320 CURL_CFLAGS = @CURL_CFLAGS@
321 CURL_CONFIG = @CURL_CONFIG@
322 CURL_LIBS = @CURL_LIBS@
323 CURL_VERSION = @CURL_VERSION@
324 CXX = @CXX@
325 CXXCPP = @CXXCPP@
326 CXXDEPMODE = @CXXDEPMODE@
327 CXXFLAGS = @CXXFLAGS@
328 CYGPATH_W = @CYGPATH_W@
329 DEFS = @DEFS@
330 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
331 DEPDIR = @DEPDIR@
332 DLLTOOL = @DLLTOOL@
333 DOCBOOK_ROOT = @DOCBOOK_ROOT@
334 DOXYGEN_BIN = @DOXYGEN_BIN@
335 DSYMUTIL = @DSYMUTIL@
336 DUMPBIN = @DUMPBIN@
337 ECHO_C = @ECHO_C@
338 ECHO_N = @ECHO_N@
339 ECHO_T = @ECHO_T@
340 ECJ = @ECJ@
341 EGREP = @EGREP@
342 EXEEXT = @EXEEXT@
343 F77 = @F77@
344 FFLAGS = @FFLAGS@
345 FFTW3_LIB = @FFTW3_LIB@
346 FFTW_ENABLE = @FFTW_ENABLE@
347 FGREP = @FGREP@
348 FLEXDOCK = @FLEXDOCK@
349 FLIBS = @FLIBS@
350 FOP = @FOP@
351 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
352 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
353 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
354 FREEHEP_IO = @FREEHEP_IO@
355 FREEHEP_UTIL = @FREEHEP_UTIL@
356 GENHTML = @GENHTML@
357 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
358 GIWS_BIN = @GIWS_BIN@
359 GLUEGEN2_RT = @GLUEGEN2_RT@
360 GMSGFMT = @GMSGFMT@
361 GMSGFMT_015 = @GMSGFMT_015@
362 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
363 GREP = @GREP@
364 GUI_ENABLE = @GUI_ENABLE@
365 HDF5_CFLAGS = @HDF5_CFLAGS@
366 HDF5_LIBS = @HDF5_LIBS@
367 HELP_ENABLE = @HELP_ENABLE@
368 INSTALL = @INSTALL@
369 INSTALL_DATA = @INSTALL_DATA@
370 INSTALL_PROGRAM = @INSTALL_PROGRAM@
371 INSTALL_SCRIPT = @INSTALL_SCRIPT@
372 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
373 INTLLIBS = @INTLLIBS@
374 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
375 JAR = @JAR@
376 JAVA = @JAVA@
377 JAVAC = @JAVAC@
378 JAVAC_DEBUG = @JAVAC_DEBUG@
379 JAVADOC = @JAVADOC@
380 JAVAH = @JAVAH@
381 JAVASCI_ENABLE = @JAVASCI_ENABLE@
382 JAVA_ENABLE = @JAVA_ENABLE@
383 JAVA_G = @JAVA_G@
384 JAVA_HOME = @JAVA_HOME@
385 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
386 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
387 JDB = @JDB@
388 JEUCLID_CORE = @JEUCLID_CORE@
389 JGRAPHX = @JGRAPHX@
390 JHALL = @JHALL@
391 JLATEXMATH = @JLATEXMATH@
392 JLATEXMATH_FOP = @JLATEXMATH_FOP@
393 JOGL2 = @JOGL2@
394 JROSETTA_API = @JROSETTA_API@
395 JROSETTA_ENGINE = @JROSETTA_ENGINE@
396 JUNIT4 = @JUNIT4@
397 LAPACK_LIBS = @LAPACK_LIBS@
398 LCOV = @LCOV@
399 LD = @LD@
400 LDFLAGS = @LDFLAGS@
401 LIBICONV = @LIBICONV@
402 LIBINTL = @LIBINTL@
403 LIBM = @LIBM@
404 LIBOBJS = @LIBOBJS@
405 LIBS = @LIBS@
406 LIBTOOL = @LIBTOOL@
407 LIPO = @LIPO@
408 LN_S = @LN_S@
409 LOGGING_LEVEL = @LOGGING_LEVEL@
410 LOOKS = @LOOKS@
411 LTLIBICONV = @LTLIBICONV@
412 LTLIBINTL = @LTLIBINTL@
413 LTLIBOBJS = @LTLIBOBJS@
414 MAINT = @MAINT@
415 MAKEINFO = @MAKEINFO@
416 MANIFEST_TOOL = @MANIFEST_TOOL@
417 MATIO_CFLAGS = @MATIO_CFLAGS@
418 MATIO_ENABLE = @MATIO_ENABLE@
419 MATIO_LIBS = @MATIO_LIBS@
420 MKDIR_P = @MKDIR_P@
421 MPI_ENABLE = @MPI_ENABLE@
422 MSGCAT = @MSGCAT@
423 MSGFMT = @MSGFMT@
424 MSGFMT_015 = @MSGFMT_015@
425 MSGMERGE = @MSGMERGE@
426 NM = @NM@
427 NMEDIT = @NMEDIT@
428 OBJDUMP = @OBJDUMP@
429 OBJEXT = @OBJEXT@
430 OCAMLC = @OCAMLC@
431 OCAMLDEP = @OCAMLDEP@
432 OCAMLLEX = @OCAMLLEX@
433 OCAMLOPT = @OCAMLOPT@
434 OCAMLYACC = @OCAMLYACC@
435 OPENMPI_CC = @OPENMPI_CC@
436 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
437 OPENMPI_CXX = @OPENMPI_CXX@
438 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
439 OPENMPI_LIBS = @OPENMPI_LIBS@
440 OPENMP_CFLAGS = @OPENMP_CFLAGS@
441 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
442 OPENMP_ENABLE = @OPENMP_ENABLE@
443 OPENMP_LIBS = @OPENMP_LIBS@
444 OTOOL = @OTOOL@
445 OTOOL64 = @OTOOL64@
446 PACKAGE = @PACKAGE@
447 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
448 PACKAGE_NAME = @PACKAGE_NAME@
449 PACKAGE_STRING = @PACKAGE_STRING@
450 PACKAGE_TARNAME = @PACKAGE_TARNAME@
451 PACKAGE_URL = @PACKAGE_URL@
452 PACKAGE_VERSION = @PACKAGE_VERSION@
453 PATH_SEPARATOR = @PATH_SEPARATOR@
454 PCRE_CFLAGS = @PCRE_CFLAGS@
455 PCRE_CONFIG = @PCRE_CONFIG@
456 PCRE_LIBS = @PCRE_LIBS@
457 PCRE_VERSION = @PCRE_VERSION@
458 PKG_CONFIG = @PKG_CONFIG@
459 POSUB = @POSUB@
460 POW_LIB = @POW_LIB@
461 PYTHON = @PYTHON@
462 RANLIB = @RANLIB@
463 RELOCATABLE = @RELOCATABLE@
464 RT_LIB = @RT_LIB@
465 SAXON = @SAXON@
466 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
467 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
468 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
469 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
470 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
471 SCIRENDERER = @SCIRENDERER@
472 SCIRENDERER_CP = @SCIRENDERER_CP@
473 SCI_CFLAGS = @SCI_CFLAGS@
474 SCI_CXXFLAGS = @SCI_CXXFLAGS@
475 SCI_FFLAGS = @SCI_FFLAGS@
476 SCI_LDFLAGS = @SCI_LDFLAGS@
477 SED = @SED@
478 SET_MAKE = @SET_MAKE@
479 SET_RELOCATABLE = @SET_RELOCATABLE@
480 SHELL = @SHELL@
481 SKINLF = @SKINLF@
482 SPLINT = @SPLINT@
483 STRIP = @STRIP@
484 SWIG_BIN = @SWIG_BIN@
485 SWIG_JAVA = @SWIG_JAVA@
486 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
487 SWIG_SCILAB = @SWIG_SCILAB@
488 TCLTK_LIBS = @TCLTK_LIBS@
489 TCL_INC_PATH = @TCL_INC_PATH@
490 TK_INC_PATH = @TK_INC_PATH@
491 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
492 UMFPACK_ENABLE = @UMFPACK_ENABLE@
493 UMFPACK_LIB = @UMFPACK_LIB@
494 USE_NLS = @USE_NLS@
495 VERSION = @VERSION@
496 WITH_OCAML = @WITH_OCAML@
497 WITH_TKSCI = @WITH_TKSCI@
498 XCOS_ENABLE = @XCOS_ENABLE@
499 XGETTEXT = @XGETTEXT@
500 XGETTEXT_015 = @XGETTEXT_015@
501 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
502 XMKMF = @XMKMF@
503 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
504 XML_APIS_EXT = @XML_APIS_EXT@
505 XML_CONFIG = @XML_CONFIG@
506 XML_FLAGS = @XML_FLAGS@
507 XML_LIBS = @XML_LIBS@
508 XML_VERSION = @XML_VERSION@
509 X_CFLAGS = @X_CFLAGS@
510 X_EXTRA_LIBS = @X_EXTRA_LIBS@
511 X_LIBS = @X_LIBS@
512 X_PRE_LIBS = @X_PRE_LIBS@
513 abs_builddir = @abs_builddir@
514 abs_srcdir = @abs_srcdir@
515 abs_top_builddir = @abs_top_builddir@
516 abs_top_srcdir = @abs_top_srcdir@
517 ac_ct_AR = @ac_ct_AR@
518 ac_ct_CC = @ac_ct_CC@
519 ac_ct_CXX = @ac_ct_CXX@
520 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
521 ac_ct_F77 = @ac_ct_F77@
522 am__include = @am__include@
523 am__leading_dot = @am__leading_dot@
524 am__quote = @am__quote@
525 am__tar = @am__tar@
526 am__untar = @am__untar@
527 bindir = @bindir@
528 build = @build@
529 build_alias = @build_alias@
530 build_cpu = @build_cpu@
531 build_os = @build_os@
532 build_vendor = @build_vendor@
533 builddir = @builddir@
534 cxx_present = @cxx_present@
535 datadir = @datadir@
536 datarootdir = @datarootdir@
537 docdir = @docdir@
538 dvidir = @dvidir@
539 exec_prefix = @exec_prefix@
540 host = @host@
541 host_alias = @host_alias@
542 host_cpu = @host_cpu@
543 host_os = @host_os@
544 host_vendor = @host_vendor@
545 htmldir = @htmldir@
546 includedir = @includedir@
547 infodir = @infodir@
548 install_sh = @install_sh@
549 libdir = @libdir@
550 libexecdir = @libexecdir@
551 localedir = @localedir@
552 localstatedir = @localstatedir@
553 mandir = @mandir@
554 mkdir_p = @mkdir_p@
555 oldincludedir = @oldincludedir@
556 pdfdir = @pdfdir@
557 prefix = @prefix@
558 program_transform_name = @program_transform_name@
559 psdir = @psdir@
560 sbindir = @sbindir@
561 sharedstatedir = @sharedstatedir@
562 srcdir = @srcdir@
563 sysconfdir = @sysconfdir@
564 target_alias = @target_alias@
565 top_build_prefix = @top_build_prefix@
566 top_builddir = @top_builddir@
567 top_srcdir = @top_srcdir@
568 LOCALIZATION_C_SOURCES = src/c/InitializeLocalization.c \
569         src/c/setgetlanguage.c src/c/getLcidString.c \
570         src/c/charEncoding.c src/c/setdefaultlanguage.c \
571         $(am__append_1) $(am__append_2)
572 GATEWAY_C_SOURCES = sci_gateway/c/gw_localization.c \
573 sci_gateway/c/sci_gettext.c \
574 sci_gateway/c/sci_setlanguage.c \
575 sci_gateway/c/sci_getdefaultlanguage.c \
576 sci_gateway/c/sci_getlanguage.c \
577 sci_gateway/c/sci_setdefaultlanguage.c \
578 sci_gateway/c/sci_addlocalizationdomain.c
579
580 libscilocalization_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
581                                 -I$(srcdir)/includes/ \
582                                 -I$(srcdir)/src/c/ \
583                                 -I$(top_srcdir)/modules/string/includes/ \
584                                 -I$(top_srcdir)/modules/fileio/includes/ \
585                                 -I$(top_srcdir)/modules/api_scilab/includes/ \
586                                 -I$(top_srcdir)/modules/output_stream/includes \
587                                 -I$(top_srcdir)/modules/localization/includes \
588                                 $(AM_CPPFLAGS)
589
590 pkglib_LTLIBRARIES = libscilocalization.la
591 noinst_LTLIBRARIES = libscilocalization-algo.la
592 libscilocalization_la_LDFLAGS = $(AM_LDFLAGS) $(am__append_3)
593 libscilocalization_la_CFLAGS = $(AM_CFLAGS) $(am__append_4)
594 libscilocalization_algo_la_SOURCES = $(LOCALIZATION_C_SOURCES)
595 libscilocalization_la_SOURCES = $(GATEWAY_C_SOURCES)
596 libscilocalization_algo_la_CPPFLAGS = $(libscilocalization_la_CPPFLAGS)
597 libscilocalization_algo_la_CFLAGS = $(libscilocalization_la_CFLAGS)
598 libscilocalization_algo_la_LDFLAGS = $(libscilocalization_la_LDFLAGS)
599
600 # For the code check (splint)
601 CHECK_SRC = $(libscilocalization_la_SOURCES)
602 INCLUDE_FLAGS = $(libscilocalization_la_CPPFLAGS)
603 libscilocalization_la_LIBADD = libscilocalization-algo.la
604
605 # $(top_builddir)/modules/io/libsciio.la
606 #### Target ######
607 modulename = localization
608
609 #### localization : Conf files ####
610 libscilocalization_la_rootdir = $(mydatadir)
611 libscilocalization_la_root_DATA = license.txt
612
613 ####localization : init scripts ####
614 libscilocalization_la_etcdir = $(mydatadir)/etc
615 libscilocalization_la_etc_DATA = etc/localization.quit etc/localization.start
616
617 ####´┐Żlocalization : gateway declaration ####
618 libscilocalization_la_sci_gatewaydir = $(mydatadir)/sci_gateway
619 libscilocalization_la_sci_gateway_DATA = sci_gateway/localization_gateway.xml
620
621 ####localization : include files ####
622 libscilocalization_la_includedir = $(pkgincludedir)
623 libscilocalization_la_include_HEADERS = includes/localization.h \
624 includes/setgetlanguage.h \
625 includes/charEncoding.h
626
627 @GUI_TRUE@USEANT = 1
628
629 #### SWIG Declaration ####
630 SWIG_WRAPPERS = src/jni/Messages.i \
631 src/jni/LocaleToLCID.i
632
633 @SWIG_TRUE@BUILT_SOURCES = swig
634
635 # Where all the Scilab stuff is installed (macros, help, ...)
636 mydatadir = $(pkgdatadir)/modules/$(modulename)
637
638 # Set AM_* SCI detected settings
639 AM_CPPFLAGS = $(SCI_CPPFLAGS)
640 AM_CFLAGS = $(SCI_CFLAGS)
641 AM_CXXFLAGS = $(SCI_CXXFLAGS)
642 # append includes to AM_FFLAGS to manage fortran includes
643 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
644
645 # Tag shared libraries with the Scilab version
646 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
647
648 # splint options
649 SPLINT_OPTIONS = -weak -booltype BOOL
650
651 ########################### JAVA ######################################
652 #### We are delegating java compilation to ant... Thanks to that
653 #### the procedure will be the same with Microsoft Windows (C)
654 #### and Linux/Unix
655 #######################################################################
656 TARGETS_ALL = $(am__append_5)
657
658 ################ MACROS ######################
659 # Rule to build a macro
660 # NOT USED  AT THE MOMENT
661 SUFFIXES = .sci 
662
663 ########### INSTALL DOCUMENTATION ###################
664
665 # Install documentation files into the right target
666 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
667 # automake needs the html files to be present which is not the case when
668 # we are building Scilab
669
670 # Where it should be installed
671 pkgdocdir = $(mydatadir)
672
673 # What is the mask of the help source
674 DOCMASKXML = *.xml
675
676 # What is the mask of the MathML sources
677 DOCMASKMML = *.mml
678
679 ########### INSTALL DATA ###################
680 # Install macros, help & demos
681 # Where it should be installed
682 pkgmacrosdir = $(mydatadir)
683 # Which directory we process
684 MACRODIRS = macros/
685 # Mask of the Scilab sources macros
686 MACROMASK = *.sci
687 # Mask of the Scilab executable sources macros
688 MACROBUILDMASK = *.sce
689 # Mask of the Scilab compiled macros
690 MACROBINMASK = *.bin
691 # List of the standard directory for tests
692 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
693 # Where the demos should be installed
694 pkgdemosdir = $(mydatadir)
695 # List of the standard directory for demos
696 DEMOS_DIR = demos
697 # List of the standard directory for examples
698 EXAMPLES_DIR = examples
699 # Where to export JAVA archives (.jar)
700 JARDIR = jar/
701 # JAR files mask
702 JARMASK = *.jar
703 # Chapter file 
704 HELP_CHAPTERDIR = help/
705 HELP_CHAPTERFILE = addchapter.sce
706 HELP_CHAPTERLANG = en_US fr_FR pt_BR
707 all: $(BUILT_SOURCES)
708         $(MAKE) $(AM_MAKEFLAGS) all-am
709
710 .SUFFIXES:
711 .SUFFIXES: .sci .bin .c .lo .o .obj
712 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
713         @for dep in $?; do \
714           case '$(am__configure_deps)' in \
715             *$$dep*) \
716               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
717                 && { if test -f $@; then exit 0; else break; fi; }; \
718               exit 1;; \
719           esac; \
720         done; \
721         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/localization/Makefile'; \
722         $(am__cd) $(top_srcdir) && \
723           $(AUTOMAKE) --foreign modules/localization/Makefile
724 .PRECIOUS: Makefile
725 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
726         @case '$?' in \
727           *config.status*) \
728             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
729           *) \
730             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
731             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
732         esac;
733 $(top_srcdir)/Makefile.incl.am:
734
735 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
736         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
737
738 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
739         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
740 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
741         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
742 $(am__aclocal_m4_deps):
743
744 clean-noinstLTLIBRARIES:
745         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
746         @list='$(noinst_LTLIBRARIES)'; \
747         locs=`for p in $$list; do echo $$p; done | \
748               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
749               sort -u`; \
750         test -z "$$locs" || { \
751           echo rm -f $${locs}; \
752           rm -f $${locs}; \
753         }
754
755 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
756         @$(NORMAL_INSTALL)
757         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
758         list2=; for p in $$list; do \
759           if test -f $$p; then \
760             list2="$$list2 $$p"; \
761           else :; fi; \
762         done; \
763         test -z "$$list2" || { \
764           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
765           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
766           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
767           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
768         }
769
770 uninstall-pkglibLTLIBRARIES:
771         @$(NORMAL_UNINSTALL)
772         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
773         for p in $$list; do \
774           $(am__strip_dir) \
775           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
776           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
777         done
778
779 clean-pkglibLTLIBRARIES:
780         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
781         @list='$(pkglib_LTLIBRARIES)'; \
782         locs=`for p in $$list; do echo $$p; done | \
783               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
784               sort -u`; \
785         test -z "$$locs" || { \
786           echo rm -f $${locs}; \
787           rm -f $${locs}; \
788         }
789 src/c/$(am__dirstamp):
790         @$(MKDIR_P) src/c
791         @: > src/c/$(am__dirstamp)
792 src/c/$(DEPDIR)/$(am__dirstamp):
793         @$(MKDIR_P) src/c/$(DEPDIR)
794         @: > src/c/$(DEPDIR)/$(am__dirstamp)
795 src/c/libscilocalization_algo_la-InitializeLocalization.lo:  \
796         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
797 src/c/libscilocalization_algo_la-setgetlanguage.lo:  \
798         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
799 src/c/libscilocalization_algo_la-getLcidString.lo:  \
800         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
801 src/c/libscilocalization_algo_la-charEncoding.lo:  \
802         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
803 src/c/libscilocalization_algo_la-setdefaultlanguage.lo:  \
804         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
805 src/jni/$(am__dirstamp):
806         @$(MKDIR_P) src/jni
807         @: > src/jni/$(am__dirstamp)
808 src/jni/$(DEPDIR)/$(am__dirstamp):
809         @$(MKDIR_P) src/jni/$(DEPDIR)
810         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
811 src/jni/libscilocalization_algo_la-Messages_wrap.lo:  \
812         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
813 src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo:  \
814         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
815 src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo:  \
816         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
817 src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo:  \
818         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
819
820 libscilocalization-algo.la: $(libscilocalization_algo_la_OBJECTS) $(libscilocalization_algo_la_DEPENDENCIES) $(EXTRA_libscilocalization_algo_la_DEPENDENCIES) 
821         $(AM_V_CCLD)$(libscilocalization_algo_la_LINK)  $(libscilocalization_algo_la_OBJECTS) $(libscilocalization_algo_la_LIBADD) $(LIBS)
822 sci_gateway/c/$(am__dirstamp):
823         @$(MKDIR_P) sci_gateway/c
824         @: > sci_gateway/c/$(am__dirstamp)
825 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
826         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
827         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
828 sci_gateway/c/libscilocalization_la-gw_localization.lo:  \
829         sci_gateway/c/$(am__dirstamp) \
830         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
831 sci_gateway/c/libscilocalization_la-sci_gettext.lo:  \
832         sci_gateway/c/$(am__dirstamp) \
833         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
834 sci_gateway/c/libscilocalization_la-sci_setlanguage.lo:  \
835         sci_gateway/c/$(am__dirstamp) \
836         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
837 sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo:  \
838         sci_gateway/c/$(am__dirstamp) \
839         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
840 sci_gateway/c/libscilocalization_la-sci_getlanguage.lo:  \
841         sci_gateway/c/$(am__dirstamp) \
842         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
843 sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo:  \
844         sci_gateway/c/$(am__dirstamp) \
845         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
846 sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo:  \
847         sci_gateway/c/$(am__dirstamp) \
848         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
849
850 libscilocalization.la: $(libscilocalization_la_OBJECTS) $(libscilocalization_la_DEPENDENCIES) $(EXTRA_libscilocalization_la_DEPENDENCIES) 
851         $(AM_V_CCLD)$(libscilocalization_la_LINK) -rpath $(pkglibdir) $(libscilocalization_la_OBJECTS) $(libscilocalization_la_LIBADD) $(LIBS)
852
853 mostlyclean-compile:
854         -rm -f *.$(OBJEXT)
855         -rm -f sci_gateway/c/*.$(OBJEXT)
856         -rm -f sci_gateway/c/*.lo
857         -rm -f src/c/*.$(OBJEXT)
858         -rm -f src/c/*.lo
859         -rm -f src/jni/*.$(OBJEXT)
860         -rm -f src/jni/*.lo
861
862 distclean-compile:
863         -rm -f *.tab.c
864
865 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-gw_localization.Plo@am__quote@
866 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Plo@am__quote@
867 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Plo@am__quote@
868 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Plo@am__quote@
869 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Plo@am__quote@
870 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Plo@am__quote@
871 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Plo@am__quote@
872 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Plo@am__quote@
873 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Plo@am__quote@
874 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Plo@am__quote@
875 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Plo@am__quote@
876 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Plo@am__quote@
877 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Plo@am__quote@
878 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Plo@am__quote@
879 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Plo@am__quote@
880 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Plo@am__quote@
881
882 .c.o:
883 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
884 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
885 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
886 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
887 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
888 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
889
890 .c.obj:
891 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
892 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
893 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
894 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
895 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
896 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
897
898 .c.lo:
899 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
900 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
901 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
902 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
903 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
904 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
905
906 src/c/libscilocalization_algo_la-InitializeLocalization.lo: src/c/InitializeLocalization.c
907 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-InitializeLocalization.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Tpo -c -o src/c/libscilocalization_algo_la-InitializeLocalization.lo `test -f 'src/c/InitializeLocalization.c' || echo '$(srcdir)/'`src/c/InitializeLocalization.c
908 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Plo
909 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/InitializeLocalization.c' object='src/c/libscilocalization_algo_la-InitializeLocalization.lo' libtool=yes @AMDEPBACKSLASH@
910 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
911 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-InitializeLocalization.lo `test -f 'src/c/InitializeLocalization.c' || echo '$(srcdir)/'`src/c/InitializeLocalization.c
912
913 src/c/libscilocalization_algo_la-setgetlanguage.lo: src/c/setgetlanguage.c
914 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-setgetlanguage.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Tpo -c -o src/c/libscilocalization_algo_la-setgetlanguage.lo `test -f 'src/c/setgetlanguage.c' || echo '$(srcdir)/'`src/c/setgetlanguage.c
915 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Plo
916 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/setgetlanguage.c' object='src/c/libscilocalization_algo_la-setgetlanguage.lo' libtool=yes @AMDEPBACKSLASH@
917 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
918 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-setgetlanguage.lo `test -f 'src/c/setgetlanguage.c' || echo '$(srcdir)/'`src/c/setgetlanguage.c
919
920 src/c/libscilocalization_algo_la-getLcidString.lo: src/c/getLcidString.c
921 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-getLcidString.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Tpo -c -o src/c/libscilocalization_algo_la-getLcidString.lo `test -f 'src/c/getLcidString.c' || echo '$(srcdir)/'`src/c/getLcidString.c
922 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Plo
923 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getLcidString.c' object='src/c/libscilocalization_algo_la-getLcidString.lo' libtool=yes @AMDEPBACKSLASH@
924 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
925 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-getLcidString.lo `test -f 'src/c/getLcidString.c' || echo '$(srcdir)/'`src/c/getLcidString.c
926
927 src/c/libscilocalization_algo_la-charEncoding.lo: src/c/charEncoding.c
928 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-charEncoding.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Tpo -c -o src/c/libscilocalization_algo_la-charEncoding.lo `test -f 'src/c/charEncoding.c' || echo '$(srcdir)/'`src/c/charEncoding.c
929 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Plo
930 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/charEncoding.c' object='src/c/libscilocalization_algo_la-charEncoding.lo' libtool=yes @AMDEPBACKSLASH@
931 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
932 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-charEncoding.lo `test -f 'src/c/charEncoding.c' || echo '$(srcdir)/'`src/c/charEncoding.c
933
934 src/c/libscilocalization_algo_la-setdefaultlanguage.lo: src/c/setdefaultlanguage.c
935 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-setdefaultlanguage.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Tpo -c -o src/c/libscilocalization_algo_la-setdefaultlanguage.lo `test -f 'src/c/setdefaultlanguage.c' || echo '$(srcdir)/'`src/c/setdefaultlanguage.c
936 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Plo
937 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/setdefaultlanguage.c' object='src/c/libscilocalization_algo_la-setdefaultlanguage.lo' libtool=yes @AMDEPBACKSLASH@
938 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
939 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-setdefaultlanguage.lo `test -f 'src/c/setdefaultlanguage.c' || echo '$(srcdir)/'`src/c/setdefaultlanguage.c
940
941 src/jni/libscilocalization_algo_la-Messages_wrap.lo: src/jni/Messages_wrap.c
942 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/jni/libscilocalization_algo_la-Messages_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Tpo -c -o src/jni/libscilocalization_algo_la-Messages_wrap.lo `test -f 'src/jni/Messages_wrap.c' || echo '$(srcdir)/'`src/jni/Messages_wrap.c
943 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Tpo src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Plo
944 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/Messages_wrap.c' object='src/jni/libscilocalization_algo_la-Messages_wrap.lo' libtool=yes @AMDEPBACKSLASH@
945 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
946 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/jni/libscilocalization_algo_la-Messages_wrap.lo `test -f 'src/jni/Messages_wrap.c' || echo '$(srcdir)/'`src/jni/Messages_wrap.c
947
948 src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo: src/jni/LocaleToLCID_wrap.c
949 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Tpo -c -o src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo `test -f 'src/jni/LocaleToLCID_wrap.c' || echo '$(srcdir)/'`src/jni/LocaleToLCID_wrap.c
950 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Tpo src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Plo
951 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/LocaleToLCID_wrap.c' object='src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo' libtool=yes @AMDEPBACKSLASH@
952 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
953 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo `test -f 'src/jni/LocaleToLCID_wrap.c' || echo '$(srcdir)/'`src/jni/LocaleToLCID_wrap.c
954
955 src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo: src/jni/setdefaultlanguage_wrap.c
956 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Tpo -c -o src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo `test -f 'src/jni/setdefaultlanguage_wrap.c' || echo '$(srcdir)/'`src/jni/setdefaultlanguage_wrap.c
957 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Tpo src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Plo
958 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/setdefaultlanguage_wrap.c' object='src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo' libtool=yes @AMDEPBACKSLASH@
959 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
960 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo `test -f 'src/jni/setdefaultlanguage_wrap.c' || echo '$(srcdir)/'`src/jni/setdefaultlanguage_wrap.c
961
962 src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo: src/c/getLocaleInfo_Apple.c
963 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Tpo -c -o src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo `test -f 'src/c/getLocaleInfo_Apple.c' || echo '$(srcdir)/'`src/c/getLocaleInfo_Apple.c
964 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Plo
965 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getLocaleInfo_Apple.c' object='src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo' libtool=yes @AMDEPBACKSLASH@
966 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
967 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo `test -f 'src/c/getLocaleInfo_Apple.c' || echo '$(srcdir)/'`src/c/getLocaleInfo_Apple.c
968
969 sci_gateway/c/libscilocalization_la-gw_localization.lo: sci_gateway/c/gw_localization.c
970 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-gw_localization.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-gw_localization.Tpo -c -o sci_gateway/c/libscilocalization_la-gw_localization.lo `test -f 'sci_gateway/c/gw_localization.c' || echo '$(srcdir)/'`sci_gateway/c/gw_localization.c
971 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-gw_localization.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-gw_localization.Plo
972 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_localization.c' object='sci_gateway/c/libscilocalization_la-gw_localization.lo' libtool=yes @AMDEPBACKSLASH@
973 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
974 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-gw_localization.lo `test -f 'sci_gateway/c/gw_localization.c' || echo '$(srcdir)/'`sci_gateway/c/gw_localization.c
975
976 sci_gateway/c/libscilocalization_la-sci_gettext.lo: sci_gateway/c/sci_gettext.c
977 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_gettext.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_gettext.lo `test -f 'sci_gateway/c/sci_gettext.c' || echo '$(srcdir)/'`sci_gateway/c/sci_gettext.c
978 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Plo
979 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_gettext.c' object='sci_gateway/c/libscilocalization_la-sci_gettext.lo' libtool=yes @AMDEPBACKSLASH@
980 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
981 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_gettext.lo `test -f 'sci_gateway/c/sci_gettext.c' || echo '$(srcdir)/'`sci_gateway/c/sci_gettext.c
982
983 sci_gateway/c/libscilocalization_la-sci_setlanguage.lo: sci_gateway/c/sci_setlanguage.c
984 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_setlanguage.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_setlanguage.lo `test -f 'sci_gateway/c/sci_setlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setlanguage.c
985 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Plo
986 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_setlanguage.c' object='sci_gateway/c/libscilocalization_la-sci_setlanguage.lo' libtool=yes @AMDEPBACKSLASH@
987 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
988 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_setlanguage.lo `test -f 'sci_gateway/c/sci_setlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setlanguage.c
989
990 sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo: sci_gateway/c/sci_getdefaultlanguage.c
991 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo `test -f 'sci_gateway/c/sci_getdefaultlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getdefaultlanguage.c
992 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Plo
993 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getdefaultlanguage.c' object='sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo' libtool=yes @AMDEPBACKSLASH@
994 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
995 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo `test -f 'sci_gateway/c/sci_getdefaultlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getdefaultlanguage.c
996
997 sci_gateway/c/libscilocalization_la-sci_getlanguage.lo: sci_gateway/c/sci_getlanguage.c
998 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_getlanguage.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_getlanguage.lo `test -f 'sci_gateway/c/sci_getlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getlanguage.c
999 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Plo
1000 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getlanguage.c' object='sci_gateway/c/libscilocalization_la-sci_getlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1001 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1002 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_getlanguage.lo `test -f 'sci_gateway/c/sci_getlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getlanguage.c
1003
1004 sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo: sci_gateway/c/sci_setdefaultlanguage.c
1005 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo `test -f 'sci_gateway/c/sci_setdefaultlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setdefaultlanguage.c
1006 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Plo
1007 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_setdefaultlanguage.c' object='sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1008 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1009 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo `test -f 'sci_gateway/c/sci_setdefaultlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setdefaultlanguage.c
1010
1011 sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo: sci_gateway/c/sci_addlocalizationdomain.c
1012 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo `test -f 'sci_gateway/c/sci_addlocalizationdomain.c' || echo '$(srcdir)/'`sci_gateway/c/sci_addlocalizationdomain.c
1013 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Plo
1014 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_addlocalizationdomain.c' object='sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo' libtool=yes @AMDEPBACKSLASH@
1015 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1016 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo `test -f 'sci_gateway/c/sci_addlocalizationdomain.c' || echo '$(srcdir)/'`sci_gateway/c/sci_addlocalizationdomain.c
1017
1018 mostlyclean-libtool:
1019         -rm -f *.lo
1020
1021 clean-libtool:
1022         -rm -rf .libs _libs
1023         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1024         -rm -rf src/c/.libs src/c/_libs
1025         -rm -rf src/jni/.libs src/jni/_libs
1026 install-libscilocalization_la_etcDATA: $(libscilocalization_la_etc_DATA)
1027         @$(NORMAL_INSTALL)
1028         @list='$(libscilocalization_la_etc_DATA)'; test -n "$(libscilocalization_la_etcdir)" || list=; \
1029         if test -n "$$list"; then \
1030           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_etcdir)'"; \
1031           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_etcdir)" || exit 1; \
1032         fi; \
1033         for p in $$list; do \
1034           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1035           echo "$$d$$p"; \
1036         done | $(am__base_list) | \
1037         while read files; do \
1038           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscilocalization_la_etcdir)'"; \
1039           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscilocalization_la_etcdir)" || exit $$?; \
1040         done
1041
1042 uninstall-libscilocalization_la_etcDATA:
1043         @$(NORMAL_UNINSTALL)
1044         @list='$(libscilocalization_la_etc_DATA)'; test -n "$(libscilocalization_la_etcdir)" || list=; \
1045         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1046         dir='$(DESTDIR)$(libscilocalization_la_etcdir)'; $(am__uninstall_files_from_dir)
1047 install-libscilocalization_la_rootDATA: $(libscilocalization_la_root_DATA)
1048         @$(NORMAL_INSTALL)
1049         @list='$(libscilocalization_la_root_DATA)'; test -n "$(libscilocalization_la_rootdir)" || list=; \
1050         if test -n "$$list"; then \
1051           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_rootdir)'"; \
1052           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_rootdir)" || exit 1; \
1053         fi; \
1054         for p in $$list; do \
1055           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1056           echo "$$d$$p"; \
1057         done | $(am__base_list) | \
1058         while read files; do \
1059           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscilocalization_la_rootdir)'"; \
1060           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscilocalization_la_rootdir)" || exit $$?; \
1061         done
1062
1063 uninstall-libscilocalization_la_rootDATA:
1064         @$(NORMAL_UNINSTALL)
1065         @list='$(libscilocalization_la_root_DATA)'; test -n "$(libscilocalization_la_rootdir)" || list=; \
1066         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1067         dir='$(DESTDIR)$(libscilocalization_la_rootdir)'; $(am__uninstall_files_from_dir)
1068 install-libscilocalization_la_sci_gatewayDATA: $(libscilocalization_la_sci_gateway_DATA)
1069         @$(NORMAL_INSTALL)
1070         @list='$(libscilocalization_la_sci_gateway_DATA)'; test -n "$(libscilocalization_la_sci_gatewaydir)" || list=; \
1071         if test -n "$$list"; then \
1072           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)'"; \
1073           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" || exit 1; \
1074         fi; \
1075         for p in $$list; do \
1076           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1077           echo "$$d$$p"; \
1078         done | $(am__base_list) | \
1079         while read files; do \
1080           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)'"; \
1081           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" || exit $$?; \
1082         done
1083
1084 uninstall-libscilocalization_la_sci_gatewayDATA:
1085         @$(NORMAL_UNINSTALL)
1086         @list='$(libscilocalization_la_sci_gateway_DATA)'; test -n "$(libscilocalization_la_sci_gatewaydir)" || list=; \
1087         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1088         dir='$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1089 install-libscilocalization_la_includeHEADERS: $(libscilocalization_la_include_HEADERS)
1090         @$(NORMAL_INSTALL)
1091         @list='$(libscilocalization_la_include_HEADERS)'; test -n "$(libscilocalization_la_includedir)" || list=; \
1092         if test -n "$$list"; then \
1093           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_includedir)'"; \
1094           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_includedir)" || exit 1; \
1095         fi; \
1096         for p in $$list; do \
1097           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1098           echo "$$d$$p"; \
1099         done | $(am__base_list) | \
1100         while read files; do \
1101           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscilocalization_la_includedir)'"; \
1102           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscilocalization_la_includedir)" || exit $$?; \
1103         done
1104
1105 uninstall-libscilocalization_la_includeHEADERS:
1106         @$(NORMAL_UNINSTALL)
1107         @list='$(libscilocalization_la_include_HEADERS)'; test -n "$(libscilocalization_la_includedir)" || list=; \
1108         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1109         dir='$(DESTDIR)$(libscilocalization_la_includedir)'; $(am__uninstall_files_from_dir)
1110
1111 ID: $(am__tagged_files)
1112         $(am__define_uniq_tagged_files); mkid -fID $$unique
1113 tags: tags-am
1114 TAGS: tags
1115
1116 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1117         set x; \
1118         here=`pwd`; \
1119         $(am__define_uniq_tagged_files); \
1120         shift; \
1121         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1122           test -n "$$unique" || unique=$$empty_fix; \
1123           if test $$# -gt 0; then \
1124             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1125               "$$@" $$unique; \
1126           else \
1127             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1128               $$unique; \
1129           fi; \
1130         fi
1131 ctags: ctags-am
1132
1133 CTAGS: ctags
1134 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1135         $(am__define_uniq_tagged_files); \
1136         test -z "$(CTAGS_ARGS)$$unique" \
1137           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1138              $$unique
1139
1140 GTAGS:
1141         here=`$(am__cd) $(top_builddir) && pwd` \
1142           && $(am__cd) $(top_srcdir) \
1143           && gtags -i $(GTAGS_ARGS) "$$here"
1144 cscopelist: cscopelist-am
1145
1146 cscopelist-am: $(am__tagged_files)
1147         list='$(am__tagged_files)'; \
1148         case "$(srcdir)" in \
1149           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1150           *) sdir=$(subdir)/$(srcdir) ;; \
1151         esac; \
1152         for i in $$list; do \
1153           if test -f "$$i"; then \
1154             echo "$(subdir)/$$i"; \
1155           else \
1156             echo "$$sdir/$$i"; \
1157           fi; \
1158         done >> $(top_builddir)/cscope.files
1159
1160 distclean-tags:
1161         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1162
1163 distdir: $(DISTFILES)
1164         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1165         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1166         list='$(DISTFILES)'; \
1167           dist_files=`for file in $$list; do echo $$file; done | \
1168           sed -e "s|^$$srcdirstrip/||;t" \
1169               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1170         case $$dist_files in \
1171           */*) $(MKDIR_P) `echo "$$dist_files" | \
1172                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1173                            sort -u` ;; \
1174         esac; \
1175         for file in $$dist_files; do \
1176           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1177           if test -d $$d/$$file; then \
1178             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1179             if test -d "$(distdir)/$$file"; then \
1180               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1181             fi; \
1182             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1183               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1184               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1185             fi; \
1186             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1187           else \
1188             test -f "$(distdir)/$$file" \
1189             || cp -p $$d/$$file "$(distdir)/$$file" \
1190             || exit 1; \
1191           fi; \
1192         done
1193 check-am: all-am
1194         $(MAKE) $(AM_MAKEFLAGS) check-local
1195 check: $(BUILT_SOURCES)
1196         $(MAKE) $(AM_MAKEFLAGS) check-am
1197 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1198 installdirs:
1199         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscilocalization_la_etcdir)" "$(DESTDIR)$(libscilocalization_la_rootdir)" "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" "$(DESTDIR)$(libscilocalization_la_includedir)"; do \
1200           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1201         done
1202 install: $(BUILT_SOURCES)
1203         $(MAKE) $(AM_MAKEFLAGS) install-am
1204 install-exec: install-exec-am
1205 install-data: install-data-am
1206 uninstall: uninstall-am
1207
1208 install-am: all-am
1209         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1210
1211 installcheck: installcheck-am
1212 install-strip:
1213         if test -z '$(STRIP)'; then \
1214           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1215             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1216               install; \
1217         else \
1218           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1219             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1220             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1221         fi
1222 mostlyclean-generic:
1223
1224 clean-generic:
1225
1226 distclean-generic:
1227         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1228         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1229         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1230         -rm -f sci_gateway/c/$(am__dirstamp)
1231         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1232         -rm -f src/c/$(am__dirstamp)
1233         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1234         -rm -f src/jni/$(am__dirstamp)
1235
1236 maintainer-clean-generic:
1237         @echo "This command is intended for maintainers to use"
1238         @echo "it deletes files that may require special tools to rebuild."
1239         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1240 clean: clean-am
1241
1242 clean-am: clean-generic clean-libtool clean-local \
1243         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1244
1245 distclean: distclean-am
1246         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR) src/jni/$(DEPDIR)
1247         -rm -f Makefile
1248 distclean-am: clean-am distclean-compile distclean-generic \
1249         distclean-local distclean-tags
1250
1251 dvi: dvi-am
1252
1253 dvi-am:
1254
1255 html: html-am
1256
1257 html-am:
1258
1259 info: info-am
1260
1261 info-am:
1262
1263 install-data-am: install-data-local \
1264         install-libscilocalization_la_etcDATA \
1265         install-libscilocalization_la_includeHEADERS \
1266         install-libscilocalization_la_rootDATA \
1267         install-libscilocalization_la_sci_gatewayDATA
1268
1269 install-dvi: install-dvi-am
1270
1271 install-dvi-am:
1272
1273 install-exec-am: install-pkglibLTLIBRARIES
1274
1275 install-html: install-html-am
1276
1277 install-html-am: install-html-local
1278
1279 install-info: install-info-am
1280
1281 install-info-am:
1282
1283 install-man:
1284
1285 install-pdf: install-pdf-am
1286
1287 install-pdf-am:
1288
1289 install-ps: install-ps-am
1290
1291 install-ps-am:
1292
1293 installcheck-am:
1294
1295 maintainer-clean: maintainer-clean-am
1296         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR) src/jni/$(DEPDIR)
1297         -rm -f Makefile
1298 maintainer-clean-am: distclean-am maintainer-clean-generic
1299
1300 mostlyclean: mostlyclean-am
1301
1302 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1303         mostlyclean-libtool
1304
1305 pdf: pdf-am
1306
1307 pdf-am:
1308
1309 ps: ps-am
1310
1311 ps-am:
1312
1313 uninstall-am: uninstall-libscilocalization_la_etcDATA \
1314         uninstall-libscilocalization_la_includeHEADERS \
1315         uninstall-libscilocalization_la_rootDATA \
1316         uninstall-libscilocalization_la_sci_gatewayDATA \
1317         uninstall-pkglibLTLIBRARIES
1318
1319 .MAKE: all check check-am install install-am install-strip
1320
1321 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1322         check-local clean clean-generic clean-libtool clean-local \
1323         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1324         ctags ctags-am distclean distclean-compile distclean-generic \
1325         distclean-libtool distclean-local distclean-tags distdir dvi \
1326         dvi-am html html-am info info-am install install-am \
1327         install-data install-data-am install-data-local install-dvi \
1328         install-dvi-am install-exec install-exec-am install-html \
1329         install-html-am install-html-local install-info \
1330         install-info-am install-libscilocalization_la_etcDATA \
1331         install-libscilocalization_la_includeHEADERS \
1332         install-libscilocalization_la_rootDATA \
1333         install-libscilocalization_la_sci_gatewayDATA install-man \
1334         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1335         install-ps install-ps-am install-strip installcheck \
1336         installcheck-am installdirs maintainer-clean \
1337         maintainer-clean-generic mostlyclean mostlyclean-compile \
1338         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1339         tags tags-am uninstall uninstall-am \
1340         uninstall-libscilocalization_la_etcDATA \
1341         uninstall-libscilocalization_la_includeHEADERS \
1342         uninstall-libscilocalization_la_rootDATA \
1343         uninstall-libscilocalization_la_sci_gatewayDATA \
1344         uninstall-pkglibLTLIBRARIES
1345
1346
1347 # This target enables tests for Scilab
1348 check-local: $(top_builddir)/scilab-bin test
1349         if test -d $(mydatadir)/tests; then \
1350           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1351         fi
1352 check-code:
1353         if test -f build.xml; then \
1354                 $(ANT) checkstyle; \
1355         fi
1356         if test -x "$(SPLINT)"; then \
1357                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1358         fi
1359 @NEED_JAVA_TRUE@java:
1360 # Some configurations needs to export JAVA_HOME in the current env
1361 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1362 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1363 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1364 @NEED_JAVA_TRUE@                $(ANT); \
1365 @NEED_JAVA_TRUE@        fi
1366
1367 @NEED_JAVA_TRUE@clean-java:
1368 # Some configurations needs to export JAVA_HOME in the current env
1369 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1370 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1371 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1372 @NEED_JAVA_TRUE@                $(ANT) clean; \
1373 @NEED_JAVA_TRUE@        fi;
1374
1375 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1376 # We call the target swig-build on the variable SWIG_WRAPPERS
1377
1378 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1379 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1380 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1381 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1382 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1383 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1384 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1385 @SWIG_TRUE@             done; \
1386 @SWIG_TRUE@     fi
1387
1388 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1389 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1390 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1391 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1392 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1393 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1394 @SWIG_TRUE@             done; \
1395 @SWIG_TRUE@     fi
1396
1397 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1398 # We call the target swig-build on the variable SWIG_WRAPPERS
1399
1400 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1401 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1402 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1403 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1404 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1405 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1406 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1407 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1408 @GIWS_TRUE@                     else \
1409 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1410 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1411 @GIWS_TRUE@                     fi \
1412 @GIWS_TRUE@             done; \
1413 @GIWS_TRUE@     fi
1414
1415 @GIWS_TRUE@giws-exception:
1416 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1417 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1418 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1419
1420 macros:
1421         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1422                 echo "Error : Cannot build $< : Scilab has not been built"; \
1423         else \
1424                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1425         fi)
1426
1427 # Removes the macros
1428 clean-macros:
1429 # Removes macros (*.bin generated from .sci)
1430         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1431                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1432                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1433         done
1434
1435 test:
1436 # More tests could be added here
1437         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1438         if test -f build.xml -a $$USEANT -eq 1; then \
1439                 $(ANT) test; \
1440         fi
1441
1442 all-local: $(TARGETS_ALL)
1443
1444 .sci.bin:
1445         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1446         echo "Error : Cannot build $< : Scilab has not been build"; \
1447         else \
1448         echo "Creating $@"; \
1449         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1450         fi )
1451
1452 install-html-local:
1453
1454 install-data-local-local:
1455 # Mainly for javasci
1456         @if test -d $(srcdir)/javadoc; then \
1457                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1458         fi
1459 # If the user wants the help sources to be installed
1460 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1461 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1462 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1463 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1464 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1465 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1466 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1467 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1468 @INSTALL_HELP_XML_TRUE@           done ; \
1469 @INSTALL_HELP_XML_TRUE@         fi; \
1470 @INSTALL_HELP_XML_TRUE@  fi; \
1471 @INSTALL_HELP_XML_TRUE@ done; \
1472 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1473 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1474 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1475 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1476 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1477 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1478 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1479 @INSTALL_HELP_XML_TRUE@           done ; \
1480 @INSTALL_HELP_XML_TRUE@         fi; \
1481 @INSTALL_HELP_XML_TRUE@ fi
1482 install-data-local:
1483 # Install the tests
1484         @echo "-------- Install tests (if any) --------"; \
1485         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1486           if test -d $(srcdir)/$$dir/; then \
1487             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1488                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1489                     if test -d "$(srcdir)/$$dir/$$file"; then \
1490                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1491                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1492                     else \
1493                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1494                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1495                     fi \
1496                   done; \
1497           fi; \
1498         done
1499 # Install the help chapter
1500         @echo "-------- Install the help chapter (if any) --------"; \
1501         for lang in $(HELP_CHAPTERLANG); do \
1502                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1503                 if test -f $$HELPFILE; then \
1504                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1505                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1506                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1507                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1508                 fi; \
1509         done
1510 # Install the demos & examples
1511         @echo "-------- Install demos & examples (if any) --------"; \
1512         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1513           if test -d $(srcdir)/$$dir/; then \
1514             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1515                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1516                     if test -d "$(srcdir)/$$dir/$$file"; then \
1517                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1518                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1519                     else \
1520                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1521                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1522                     fi \
1523                   done; \
1524           fi; \
1525         done
1526 # Install the macros
1527         @echo "-------- Install macros (if any) --------"; \
1528         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1529           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1530                 if test -d $(srcdir)/$$dir/; then \
1531                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1532                         if test -n "$(MACROSSPECIALEXT)"; then \
1533                                 specialExtDir=""; \
1534                                 for specialExt in $(MACROSSPECIALEXT); do \
1535                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1536                                 done; \
1537                                 FILELIST="$$FILELIST $$specialExtDir"; \
1538                         fi; \
1539                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1540                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1541                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1542                   done; \
1543                 fi; \
1544         done
1545 # Install java files (.jar)
1546         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1547         echo "-------- Install jar files --------"; \
1548     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1549           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1550                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1551                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1552           done ; \
1553         fi
1554
1555 ########### CLEAN ###################
1556 # Clean help (generated automatically by Scilab)
1557 # It used to clean the macro (clean-macros) but this was causing
1558 # make clean && make to fail Scilab startup
1559 @NEED_JAVA_TRUE@clean-local: clean-java
1560 @NEED_JAVA_FALSE@clean-local:
1561
1562 distclean-local:
1563         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1564
1565 .PHONY: macros java swig giws
1566
1567 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1568 # Otherwise a system limit (for SysV at least) may be exceeded.
1569 .NOEXPORT: